#ifndef ADAPTER_PCI_H
#define ADAPTER_PCI_H

/*
  adapter_pci - Get VPD for PCI adapters.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: adapter_pci.h,v 1.1 2006/04/11 18:38:28 emunson Exp $
*/

#include "node.h"
#include "vpd.h"

#define ADAPTER_TYPE_PCI "pci"

/********************************************************************/

typedef char *
adapter_pci_get_field_value_t(const char * node,
			      const char * field);

extern adapter_pci_get_field_value_t * adapter_pci_get_field_value_function;

adapter_pci_get_field_value_t adapter_pci_get_field_value;

/********************************************************************/

typedef char *
adapter_pci_get_config_file_t(const bus_addr_t bus_addr);

extern adapter_pci_get_config_file_t * adapter_pci_get_config_file_function;

adapter_pci_get_config_file_t adapter_pci_get_config_file;

/********************************************************************/

typedef vpd_list_t *
adapter_pci_adapter_get_vpd_t(const bus_addr_t bus_addr,
			      const node_t subtype,
			      const char * node);

extern adapter_pci_adapter_get_vpd_t * adapter_pci_retrieve_vpd_first;

extern vpd_list_t *
adapter_pci_retrieve_vpd(const bus_addr_t bus_addr,
			 const char * node);

#endif
